<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: element  YAHOO.util.Attribute   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>element&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_element.html">element</a>
                 &gt; YAHOO.util.Attribute 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        
                        
                            Class <b>YAHOO.util.Attribute</b>
                        <span class="extends">
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                
  

                    <div class="summary description">
                        Provides Attribute configurations.
                    </div>

                        <div class="section constructor details">
                        <h3><a name="constructor_detail">Constructor</a></h3>
                        <div class="content">
                            <div class="detail">
                                <strong>YAHOO.util.Attribute</strong>
                                <code>
                                    (
  
                                        
                                                
                                                hash

                                                , 
                                                The
                                    )
                                </code>
                                <div class="description">
                                        <dl>
                                            <dt>Parameters:</dt>
                                                <dd>
                                                    <code>hash
                                                    &lt;Object&gt; 
                                                    </code>
                                                      The intial Attribute.
                                                </dd>
                                                <dd>
                                                    <code>The
                                                    &lt;YAHOO.util.AttributeProvider&gt; 
                                                    </code>
                                                     owner of the Attribute instance.
                                                </dd>
                                        </dl>
                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                        <div class="section field details">
                            <h3><a name="field_detail">Properties</a></h3>
                            <div class="content">
                                    <h4><a name="_initialConfig">_initialConfig</a>
                                        <code>- private Object</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The attribute's initial configuration.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="_written">_written</a>
                                        <code>- private Boolean</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Whether or not the attribute's value has been set.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="method">method</a>
                                        <code>- Function</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The method to use when setting the attribute's value.
The method recieves the new value as the only argument.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="name">name</a>
                                        <code>- String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The name of the attribute.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="owner">owner</a>
                                        <code>- YAHOO.util.AttributeProvider</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The owner of the attribute.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="readOnly">readOnly</a>
                                        <code>- Boolean</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Whether or not the attribute is read only.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="validator">validator</a>
                                        <code>- Function</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The validator to use when setting the attribute's value.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="value">value</a>
                                        <code>- String</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            The value of the attribute.
                                        </div>
                                    </div>
     
                                        


                                    <hr />
                                    <h4><a name="writeOnce">writeOnce</a>
                                        <code>- Boolean</code>
                                    </h4>
                                    <div class="detail">
                                        <div class="description">
                                            Whether or not the attribute can only be written once.
                                        </div>
                                    </div>
     
                                        


                                    <hr />


                            </div>
                        </div>


                        <div class="section method details">
                            <h3><a name="methodDetails">Methods</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="configure">configure</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>configure</strong>
                                           (
                                                
                                                        
                                                         map
                                                    
                                                
                                                        , 
                                                         init
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Allows for configuring the Attribute's properties.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>map &lt;Object&gt;</code>
                                                             A key-value map of Attribute properties.
                                                        </dd>
                                                        <dd>
                                                            <code>init &lt;Boolean&gt;</code>
                                                             Whether or not this should become the initial config.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="getValue">getValue</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        any
                                            <strong>getValue</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Retrieves the current value of the attribute.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        any
                                                    </code></dt>
                                                    <dd>The current value of the attribute.</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="refresh">refresh</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Boolean
                                            <strong>refresh</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Resets the value to the current value.
Useful when values may have gotten out of sync with actual properties.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Boolean
                                                    </code></dt>
                                                    <dd>Whether or not the value was set.</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="resetConfig">resetConfig</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        void
                                            <strong>resetConfig</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Resets the attribute config to the initial config state.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        void
                                                    </code></dt>
                                                    <dd></dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="resetValue">resetValue</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Boolean
                                            <strong>resetValue</strong>
                                           (
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Resets the value to the initial config value.
                                        </div>

                                        <div class="description">


                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Boolean
                                                    </code></dt>
                                                    <dd>Whether or not the value was set.</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="setValue">setValue</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Boolean
                                            <strong>setValue</strong>
                                           (
                                                
                                                        
                                                         value
                                                    
                                                
                                                        , 
                                                         silent
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Sets the value of the attribute and fires beforeChange and change events.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>value &lt;Any&gt;</code>
                                                             The value to apply to the attribute.
                                                        </dd>
                                                        <dd>
                                                            <code>silent &lt;Boolean&gt;</code>
                                                             If true the change events will not be fired.
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Boolean
                                                    </code></dt>
                                                    <dd>Whether or not the value was set.</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>







			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class=""><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class="selected"><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class="selected"><a href="YAHOO.util.Attribute.html">YAHOO.util.Attribute</a></li>
                                <li class=""><a href="YAHOO.util.AttributeProvider.html">YAHOO.util.AttributeProvider</a></li>
                                <li class=""><a href="YAHOO.util.Element.html">YAHOO.util.Element</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="Attribute.js.html">Attribute.js</a></li>
                                <li class=""><a href="AttributeProvider.js.html">AttributeProvider.js</a></li>
                                <li class=""><a href="Element.js.html">Element.js</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Properties</h4>
                        <ul class="content">        
                                <li><a href="#_initialConfig">_initialConfig</a>
                                        <!--<code>&lt;Boolean&gt;</code>-->
                                </li>
                                <li><a href="#_written">_written</a>
                                        <!--<code>&lt;Boolean&gt;</code>-->
                                </li>
                                <li><a href="#method">method</a>
                                        <!--<code>&lt;Boolean&gt;</code>-->
                                </li>
                                <li><a href="#name">name</a>
                                        <!--<code>&lt;Boolean&gt;</code>-->
                                </li>
                                <li><a href="#owner">owner</a>
                                        <!--<code>&lt;Boolean&gt;</code>-->
                                </li>
                                <li><a href="#readOnly">readOnly</a>
                                        <!--<code>&lt;Boolean&gt;</code>-->
                                </li>
                                <li><a href="#validator">validator</a>
                                        <!--<code>&lt;Boolean&gt;</code>-->
                                </li>
                                <li><a href="#value">value</a>
                                        <!--<code>&lt;Boolean&gt;</code>-->
                                </li>
                                <li><a href="#writeOnce">writeOnce</a>
                                        <!--<code>&lt;Boolean&gt;</code>-->
                                </li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Methods</h4>
                        <ul class="content">        
                                <li><!--<code>void</code>-->
                                <a href="#configure">configure</a>
                                </li>
                                <li><!--<code>any</code>-->
                                <a href="#getValue">getValue</a>
                                </li>
                                <li><!--<code>Boolean</code>-->
                                <a href="#refresh">refresh</a>
                                </li>
                                <li><!--<code>void</code>-->
                                <a href="#resetConfig">resetConfig</a>
                                </li>
                                <li><!--<code>Boolean</code>-->
                                <a href="#resetValue">resetValue</a>
                                </li>
                                <li><!--<code>Boolean</code>-->
                                <a href="#setValue">setValue</a>
                                </li>
                        </ul>
                    </div>



            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
